<?php

namespace App\Livewire;

use Livewire\Component;
use Livewire\Attributes\On;


class NotificationSound extends Component
{

    protected $listeners = ['playNotificationSound' => 'playSound', 'playWarnSound' => 'playWarnSound', 'beepSound' => 'beepSound'];

    public function playSound()
    {
        $this->dispatch('play-notification-sound');
    }

    public function playWarnSound()
    {
        //dd('test');
        $this->dispatch('play-warn-sound');
    }
    public function beepSound()
    {
        //dd('test');
        $this->dispatch('play-beep-sound');
    }

    public function render()
    {
        return view('livewire.notification-sound');
    }
}
